> For the complete documentation index, see [llms.txt](https://docs.petabox.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.petabox.io/http-api-compatible-with-amazon-s3/api-reference/putobjectlegalhold.md).

# PutObjectLegalHold

Applies a legal hold configuration to the specified object

## Request Syntax <a href="#api_putobjectlegalhold_requestsyntax" id="api_putobjectlegalhold_requestsyntax"></a>

```http
PUT /{Key+}?legal-hold&versionId=VersionId HTTP/1.1
Host: Bucket.s3.petabox.io
x-amz-request-payer: RequestPayer
Content-MD5: ContentMD5
x-amz-expected-bucket-owner: ExpectedBucketOwner
<?xml version="1.0" encoding="UTF-8"?>
<LegalHold xmlns="http://s3.petabox.io/doc/2006-03-01/">
   <Status>string</Status>
</LegalHold>
```

## URI Request Parameters <a href="#api_putobjectlegalhold_requestparameters" id="api_putobjectlegalhold_requestparameters"></a>

The request uses the following URI parameters.

#### Bucket

The bucket name containing the object that you want to place a legal hold on.

Required: Yes

#### Content-MD5

The MD5 hash for the request body.

For requests made using the Command Line Interface (CLI) or SDKs, this field is calculated automatically.

#### Key

The key name for the object that you want to place a legal hold on.

Length Constraints: Minimum length of 1.

Required: Yes

#### versionId

The version ID of the object that you want to place a legal hold on.

#### x-amz-expected-bucket-owner

The account ID of the expected bucket owner. If the bucket is owned by a different account, the request fails with the HTTP status code `403 Forbidden` (access denied).

#### x-amz-request-payer

Confirms that the requester knows that they will be charged for the request. Bucket owners need not specify this parameter in their requests.&#x20;

Valid Values: `requester`

## Request Body <a href="#api_putobjectlegalhold_requestbody" id="api_putobjectlegalhold_requestbody"></a>

The request accepts the following data in XML format.

#### LegalHold

Root level tag for the LegalHold parameters.

Required: Yes

#### Status

Indicates whether the specified object has a legal hold in place.

Type: String

Valid Values: `ON | OFF`

Required: No

## Response Syntax <a href="#api_putobjectlegalhold_responsesyntax" id="api_putobjectlegalhold_responsesyntax"></a>

```http
HTTP/1.1 200
x-amz-request-charged: RequestCharged
```

## Response Elements <a href="#api_putobjectlegalhold_responseelements" id="api_putobjectlegalhold_responseelements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The response returns the following HTTP headers.

#### x-amz-request-charged

If present, indicates that the requester was successfully charged for the request.

Valid Values: `requester`
